Support for default/installation language not getting installed/suggested

Bug #289165 reported by Timo Jyrinki on 2008-10-25
2
Affects Status Importance Assigned to Milestone
language-selector (Ubuntu)
Medium
Michael Vogt

Bug Description

Binary package hint: language-selector

Separated from bug 135752, which is now only about suggesting refreshing the repositories.

Support for "Default Language", ie. installation language, is not installed / suggested even when the repositories have been refreshed and Supported Languages list is available. That is, after installation without network and therefore without language support being downloaded, for example Finnish is shown as the "Default Language" even if it's not in the Supported Languages at all, and after the repositories are updated it's still not selected even though surely support for the default language should be installed unless explicitly removed. Furthermore, the list is so long that it takes time to actually find one's own language.

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Could you please test the language-selector in my PPA at:
deb http://ppa.launchpad.net/mvo/ubuntu intrepid main

It should be able to detect when there is no langpack for the default language and offer to install it (both qt and gtk version).

Changed in language-selector:
assignee: nobody → mvo
importance: Undecided → Medium
status: New → In Progress
Timo Jyrinki (timo-jyrinki) wrote :

Tested from a snapshot containing image straight after networkless install.

Relatively good experience. Started language selector, and it suggested refreshing language support information. Straight after having done that, it suggested installing missing language support, including the default language (which however was not selected separately).

The missing part was that it only suggested and installed partial language support, ie. did not install language-support-fi which would mean the user still would have to realize she would have to scroll the Supported Languages list and put a real check mark in to have the whole support.

So, default language should have the full language support suggested instead of just the basic translations.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.3.20

---------------
language-selector (0.3.20) jaunty; urgency=low

  [ Michael Vogt ]
  * LanguageSelector/LangCache.py, LanguageSelector/LanguageSelector.py:
    - move verifyPackageLists into the cache and rename it
      to the havePackageLists property
  * LanguageSelector/LocaleInfo.py:
    - honor /etc/default/locale as well
  * LanguageSelector/gtk/GtkLanguageSelector.py,
    LanguageSelector/qt/QtLanguageSelector.py:
    - check if we have a language-pack for the given default language
      (LP: #289165)
  * LanguageSelector/LanguageSelector.py:
    - move the check what language packs are missing into common
      code
  * debian/rules:
    - remove arch-build target, bzr-buildpackage is the way to
      build it

  [ Colin Watson ]
  * Fix typo (availablity -> availability).

 -- Michael Vogt <email address hidden> Mon, 15 Dec 2008 15:00:50 +0100

Changed in language-selector:
status: In Progress → Fix Released
Timo Jyrinki (timo-jyrinki) wrote :

Can confirm that fixes the problem partially, ie. to an extent mentioned in the PPA test result in October. Opened a new bug #311228 to address this remaining problem.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers